return gears.table.join(
	awful.key( {"Mod4"}, "r",
		function ()
			awful.screen.focused().mypromptbox:run()
		end,
		{
			description = "Run prompt",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4", "Shift", "Control"}, "1",
		function ()
			awful.spawn(conf.app_1)
		end,
		{
			description = "Run app 1",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4", "Shift", "Control"}, "2",
		function ()
			awful.spawn(conf.app_2)
		end,
		{
			description = "Run app 2",
			group = "Launcher"
		}
	),
	awful.key( {"Mod4", "Shift", "Control"}, "3",
		function ()
			awful.spawn(conf.app_3)
		end,
		{
			description = "Run app 3",
			group = "Launcher"
		}
	),
	awful.key( {"Mod4", "Shift", "Control"}, "4",
		function ()
			awful.spawn(conf.app_4)
		end,
		{
			description = "Run app 4",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "x",
		function ()
			awful.screen.focused().mypromptbox:run()
		end,
		{
			description = "Run prompt",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "Return",
		function ()
			awful.spawn(terminal)
		end,

		{
			description = "Open a terminal",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "]",
		function ()
			awful.spawn(terminal .. " ranger /home/mark")
		end,

		{
			description = "Launch ranger in kitty",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4", "Control"}, "Return",
		function ()
			awful.spawn("kitty --class \"kitty-noblur\" --override background_opacity=0.5 --override hide_window_decorations=yes")
		end,

		{
			description = "Open a floating kitty terminal",
			group = "Launcher"
		}
	),

	awful.key( {"Mod4"}, "\\",
		function ()
			awful.spawn(conf.browser)
		end,

		{
			description = "Open a browser tab",
			group = "Launcher"
		}
	)
)
